package com.zm.order.tool.server.response;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Map;

/**
 * @author NianChang
 * @ClassName OrderItemBatchingVO
 * @date 2021/03/23 5:01 下午
 */
public class OrderItemBatchingVO implements Serializable {

    @ApiModelProperty("加料ID")
    private String batchingId;

    @ApiModelProperty("加料名称")
    private String batchingName;

    @ApiModelProperty("加料编码")
    private String code;

    @ApiModelProperty("购买数量")
    private Integer num;

    @ApiModelProperty("价格")
    private BigDecimal price;

    @ApiModelProperty("订单商品主键id")
    private Long orderItemId;

    @ApiModelProperty("扩展")
    private Map<String, Object> extraMap;

    public String getBatchingId() {
        return batchingId;
    }

    public void setBatchingId(String batchingId) {
        this.batchingId = batchingId;
    }

    public String getBatchingName() {
        return batchingName;
    }

    public void setBatchingName(String batchingName) {
        this.batchingName = batchingName;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public Long getOrderItemId() {
        return orderItemId;
    }

    public void setOrderItemId(Long orderItemId) {
        this.orderItemId = orderItemId;
    }

    public Map<String, Object> getExtraMap() {
        return extraMap;
    }

    public void setExtraMap(Map<String, Object> extraMap) {
        this.extraMap = extraMap;
    }
    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
